#include <stdlib.h>

#include "ansi_codes.h"

const char *ansi_c0_names[] = {
  "NULL",
  "START OF HEADING",
  "START OF TEXT",
  "END OF TEXT",
  "END OF TRANSMISSION",
  "ENQUIRY",
  "ACKNOWLEDGE",
  "BELL",
  "BACKSPACE",
  "HORIZONTAL TABULATION",
  "LINE FEED",
  "VERTICAL TABULATION",
  "FORM FEED",
  "CARRIAGE RETURN",
  "SHIFT OUT / LOCKING SHIFT 1",
  "SHIFT IN / LOCKING SHIFT 0",
  "DATA LINK ESCAPE",
  "DEVICE CONTROL 1 (XON)",
  "DEVICE CONTROL 2",
  "DEVICE CONTROL 3 (XOFF)",
  "DEVICE CONTROL 4",
  "NEGATIVE ACKNOWLEDGE",
  "SYNCHRONOUS IDLE",
  "END OF TRANSMISSION BLOCK",
  "CANCEL",
  "END OF MEDIUM",
  "SUBSTITUTE",
  "ESCAPE",
  "INFORMATION SEPARATOR 4",
  "INFORMATION SEPARATOR 3",
  "INFORMATION SEPARATOR 2",
  "INFORMATION SEPARATOR 1"
};

const char *ansi_c0_abbrevs[] = {
  "NUL",
  "SOH",
  "STX",
  "ETX",
  "EOT",
  "ENQ",
  "ACK",
  "BEL",
  "BS",
  "HT",
  "LF",
  "VT",
  "FF",
  "CR",
  "SO/LS1",
  "SI/LS0",
  "DLE",
  "DC1/XON",
  "DC2",
  "DC3/XOFF",
  "DC4",
  "NAK",
  "SYN",
  "ETB",
  "CAN",
  "EOM",
  "SUB",
  "ESC",
  "IS4",
  "IS3",
  "IS2",
  "IS1"
};

const char *ansi_c1_names[] = {
  NULL,
  NULL,
  "BREAK PERMITTED HERE",
  "NO BREAK HERE",
  NULL,
  "NEXT LINE",
  "START OF SELECTED AREA",
  "END OF SELECTED AREA",
  "HORIZONTAL TABULATION SET",
  "HORIZONTAL TABULATION WITH JUSTIFICATION",
  "VERTICAL TABULATION SET",
  "PARTIAL LINE DOWN",
  "PARTIAL LINE UP",
  "REVERSE LINE FEED",
  "SINGLE-SHIFT TWO",
  "SINGLE-SHIFT THREE",
  "DEVICE CONTROL STRING",
  "PRIVATE USE ONE",
  "PRIVATE USE TWO",
  "SET TRANSMIT STATE",
  "CANCEL CHARACTER",
  "MESSAGE WAITING",
  "START OF GUARDED AREA",
  "END OF GUARDED AREA",
  "START OF STRING",
  NULL,
  "SINGLE CHARACTER INTRODUCER",
  "CONTROL SEQUENCE INTRODUCER",
  "STRING TERMINATOR",
  "OPERATING SYSTEM COMMAND",
  "PRIVACY MESSAGE",
  "APPLICATION PROGRAM COMMAND"
};
